                                            '     :
FList = "comp.list"                         ' 1- :     ,   ip- 
'Addresses = "192.168.0.3;192.168.0.4"      ' 2- :    ip- ,  ;
RangeStart = "192.168.0.2"                  ' 3- :   ... 
RangeEnd = "192.168.0.7"                    ' ...    (       Addresses = )

Const ForReading = 1
Const ForWriting = 2

'On Error Resume Next
If Err.Number <> 0 Then
    WScript.Echo Err.Number & ": " & Err.Description    '    -     
    WScript.Quit                                        '    
End If

Set objFSO = CreateObject("Scripting.FileSystemObject")

Set FFail = objFSO.OpenTextFile("not_responding.txt", ForWriting, True) '  ,   

If objFSO.FileExists(FList) Then            ' 1- 
    Set FSource = objFSO.OpenTextFile("comp.list", ForReading, True)
    Do While FSource.AtEndOfStream <> True
        Addr = Trim(FSource.ReadLine)
        Pos = InStr(Addr,"//")
        If Pos <> 0 Then
            Addr = Trim(Left(Addr,Pos-2))
        End If
        Info(Addr)
    Loop
    FSource.Close
Else
    If Len(Addresses) <> 0 Then             ' 2- 
        aAddress = Split(Addresses, ";")
        For Each Addr in aAddress
            Info(Addr)
        Next
    Else                                    ' 3- 
        PosRS = InStrRev(RangeStart,".")
        PosRE = InStrRev(RangeEnd,".")
        Net = Left(RangeStart,PosRS)
        StartNum = CInt(Mid(RangeStart,PosRS+1))
        EndNum = CInt(Mid(RangeEnd,PosRE+1))
        For i = StartNum To EndNum
            Addr = Net + Trim(CStr(i))
            Info(Addr)
        Next
    End If
End If

FFail.Close
MsgBox "  "    

Sub Info(ByVal CompName)
    '   
    For Each objStatus In GetObject("winmgmts:{impersonationLevel=impersonate}").ExecQuery("Select * From Win32_PingStatus Where Address = '" & CompName & "'") 
        Exit For
    Next
    If IsNull(objStatus.StatusCode) or objStatus.StatusCode <> 0 Then 
        FFail.WriteLine CompName    '    -   not_responding.txt 
        Exit Sub 
    End If

    Set objService = GetObject("winmgmts:{impersonationLevel=impersonate}!\\" + CompName + "\root\CIMV2")
    
    Set FTemp = objFSO.OpenTextFile(CompName+".txt", ForWriting, True) '           
    FTemp.WriteLine CompName + ": " + vbCrLf
    
    FTemp.WriteLine ".|:"
    For Each objObject In objService.ExecQuery("SELECT * FROM Win32_BaseBoard")
        Exit For
    Next
    stro = objObject.Manufacturer + " " + objObject.Product + vbCrLf
    For Each objProc In objService.ExecQuery("SELECT * FROM Win32_Processor")
        stro = stro + objProc.SocketDesignation + " / " + Trim(objProc.Name) + vbCrLf
    Next
    FTemp.WriteLine(stro)
    
    FTemp.WriteLine ":"
    stro = ""
    For Each objMon In objService.ExecQuery("SELECT * FROM Win32_DesktopMonitor")
        stro = stro + objMon.Caption + vbCrLf
    Next
    FTemp.WriteLine(stro) '          
    
    FTemp.WriteLine "|HDD"
    stro = ""
    For Each objPhMem In objService.ExecQuery("SELECT * FROM Win32_PhysicalMemory")
        stro = stro + objPhMem.DeviceLocator + ": " + CStr(objPhMem.Capacity/1048576) + " " + vbCrLf
    Next
    For Each objDisk In objService.ExecQuery("SELECT * FROM Win32_DiskDrive")
        stro = stro + objDisk.Caption + " / " + objDisk.InterfaceType + " / " + CStr(Round(objDisk.Size/1073741824,0)) + " " + vbCrLf
    Next
    FTemp.WriteLine(stro)
    
    FTemp.WriteLine " :"
    stro = ""
    '   HDD
    For Each objDisk In objService.ExecQuery("Select * from Win32_LogicalDisk Where DriveType = 3")
        pctFreeSpace = objDisk.FreeSpace / objDisk.Size
        stro = stro + objDisk.Name + " " + FormatPercent(pctFreeSpace) + vbCrLf
    Next
    FTemp.WriteLine(stro)
    
    FTemp.WriteLine ":"
    stro = ""
    For Each objVideo In objService.ExecQuery("SELECT * FROM Win32_VideoController")
        stro = stro + objVideo.Caption + vbCrLf
    Next
    FTemp.WriteLine(stro)
    
    FTemp.WriteLine ":"
    stro = ""
    '    - Ethernet 802.3
    For Each objNtw In objService.ExecQuery("SELECT * FROM Win32_NetworkAdapter Where AdapterTypeID = 0")
            stro = stro + objNtw.Caption + ", MAC: " + objNtw.MACAddress + vbCrLf
        'End If
    Next
    FTemp.WriteLine(stro)
    
    FTemp.WriteLine ":"
    For Each objOS In objService.ExecQuery("SELECT * FROM Win32_OperatingSystem")
        Exit For
    Next
    stro = objOS.Caption + " " + objOS.Version + " " + objOS.CSDVersion
    FTemp.WriteLine(stro)
    
    FTemp.Close
End Sub